Package com.microblink.blinkid.hardware.orientation

# Enum Class Orientation

java.lang.Object
java.lang.Enum<Orientation>
com.microblink.blinkid.hardware.orientation.Orientation

All Implemented Interfaces:
  `Serializable`, `Comparable<Orientation>`, `Constable`

public enum Orientation extends Enum<Orientation>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ORIENTATION_LANDSCAPE_LEFT`
  Device is in landscape mode and buttons are left of screen
  `ORIENTATION_LANDSCAPE_RIGHT`
  Device is in landscape mode and buttons are right of screen
  `ORIENTATION_PORTRAIT`
  Device is in portrait mode and buttons are below screen
  `ORIENTATION_PORTRAIT_UPSIDE`
  Device is in portrait mode and buttons are above screen
  `ORIENTATION_UNKNOWN`
  Device is lying on the table

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Orientation`
  `fromActivityInfoCode(int value)`
  `static Orientation`
  `fromInt(int value)`
  `int`
  `intValue()`
  `boolean`
  `isHorizontal()`
  `boolean`
  `isVertical()`
  `Orientation`
  `rotate180()`
  Returns orientation obtained by rotating current orientation by 180 degrees.
  `Orientation`
  `rotate90Clockwise()`
  Returns orientation obtained by rotating current orientation by 90 degrees clockwise.
  `Orientation`
  `rotate90CounterClockwise()`
  Returns orientation obtained by rotating current orientation by 90 degrees counter-clockwise.
  `String`
  `toString()`
  `static Orientation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Orientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ORIENTATION_PORTRAIT

    public static final Orientation ORIENTATION_PORTRAIT
    Device is in portrait mode and buttons are below screen

  - ### ORIENTATION_LANDSCAPE_RIGHT

    public static final Orientation ORIENTATION_LANDSCAPE_RIGHT
    Device is in landscape mode and buttons are right of screen

  - ### ORIENTATION_PORTRAIT_UPSIDE

    public static final Orientation ORIENTATION_PORTRAIT_UPSIDE
    Device is in portrait mode and buttons are above screen

  - ### ORIENTATION_LANDSCAPE_LEFT

    public static final Orientation ORIENTATION_LANDSCAPE_LEFT
    Device is in landscape mode and buttons are left of screen

  - ### ORIENTATION_UNKNOWN

    public static final Orientation ORIENTATION_UNKNOWN
    Device is lying on the table

- ## Method Details

  - ### values

    public static Orientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Orientation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### intValue

    public int intValue()

  - ### isVertical

    public boolean isVertical()
    Returns:
      true if this orientation is vertical (portrait or inverse portrai)

  - ### isHorizontal

    public boolean isHorizontal()
    Returns:
      true if this orientation is horizontal (landscape)

  - ### rotate90Clockwise

    @NonNull public Orientation rotate90Clockwise()
    Returns orientation obtained by rotating current orientation by 90 degrees clockwise.
    Returns:
      orientation obtained by rotating current orientation by 90 degrees clockwise.

  - ### rotate90CounterClockwise

    @NonNull public Orientation rotate90CounterClockwise()
    Returns orientation obtained by rotating current orientation by 90 degrees counter-clockwise.
    Returns:
      orientation obtained by rotating current orientation by 90 degrees counter-clockwise.

  - ### rotate180

    @NonNull public Orientation rotate180()
    Returns orientation obtained by rotating current orientation by 180 degrees.
    Returns:
      orientation obtained by rotating current orientation by 180 degrees.

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Enum<Orientation>`

  - ### fromInt

    @NonNull public static Orientation fromInt(int value)

  - ### fromActivityInfoCode

    @NonNull public static Orientation fromActivityInfoCode(int value)